libmarble4 needs to include plugins

Bug #322278 reported by Luka Renko on 2009-01-28
12
Affects Status Importance Assigned to Milestone
KDE Educational Applications
Unknown
High
kdeedu (Ubuntu)
High
Unassigned

Bug Description

Binary package hint: libmarble4

kdeedu packaging for marble/libmarble4 is wrong in that that all plugins are shipped in "marble" package (which is application), but it should be shipped in "libmarble4" package (widget library) as the widget cannot operate without plugins.

This is current content of "marble" package:
/.
/usr
/usr/share
/usr/share/doc
/usr/share/doc/marble
/usr/share/doc/marble/copyright
/usr/bin
/usr/bin/geodatatest
/usr/bin/marble
/usr/bin/tilecreator
/usr/lib
/usr/lib/kde4
/usr/lib/kde4/libmarble_part.so
/usr/lib/kde4/plugins
/usr/lib/kde4/plugins/marble
/usr/lib/kde4/plugins/marble/MarbleCrosshairsPlugin.so
/usr/lib/kde4/plugins/marble/MarbleGeoDataPlugin.so
/usr/lib/kde4/plugins/marble/CompassFloatItem.so
/usr/lib/kde4/plugins/marble/MarbleOverviewMap.so
/usr/lib/kde4/plugins/marble/MapScaleFloatItem.so
/usr/lib/kde4/plugins/marble/MarbleStarsPlugin.so
/usr/lib/kde4/plugins/marble/NavigationFloatItem.so
/usr/share/doc/marble/README
/usr/share/doc/marble/changelog.Debian.gz

Whole "/usr/lib/kde4/plugins" and "/usr/lib/kde4/libmarble_part.so" should be moved to "libmarble4" package. This will leave only applications in "marble" package.

This has been discussed with marble author on IRC:
[13:19:38] <Lure> tackat: regarding bug 182144 - I think this is another packaging issue in debian/ubuntu
[13:20:12] <Lure> tackat: it seems the problem is that "libmarble4" package should include plugins too
[13:20:27] <Lure> tackat: and "marble" should only include application itself...
[13:20:51] <tackat> Lure: yes, a libmarble4 without plugins won't be fun
[13:20:56] -*- tackat rolls eyes
[13:21:19] <Lure> tackat: I know, you have to be angry on "these packagers" by now ;-)
[13:21:30] <tackat> Lure: right, it should just contain the application
[13:22:01] <Lure> tackat: will write in the bug, close it as DOWNSTREAM and open task in Ubuntu/Debian
[13:31:30] <Lure> tackat: what about libmarble_part.so? is this application specific, or should go together with widget
[13:36:56] <Lure> tackat: I suspect this is KPart, so I would think libmarble4 (with widget) would be more appropriate
[13:37:26] <Lure> tackat: that would leave "marble" package only apps (marble, geodatatest, tilecreator)

Luka Renko (lure) on 2009-01-28
Changed in kdeedu:
importance: Undecided → High
Luka Renko (lure) wrote :

Additional note from Torsten Rahm (see upstream bug):
The Marble-KPart should rather be shipped with the application. Otherwise the widget would require KDE 4 to be installed. If the KPart is shipped with the application then even people who don't have KDE 4 installed should be able to use it, as the only components that require KDE 4 are the KPart and the application.

Luka Renko (lure) wrote :

Fix committed to BZR branch

Changed in kdeedu:
assignee: nobody → lure
status: New → Fix Committed
Luka Renko (lure) wrote :

Fix is in BZR branch. I have tested it in pbuilder and installed marble test packages and they work fine.
This just need Kubuntu core-dev to upload.

BZR:
https://code.launchpad.net/~kubuntu-members/kdeedu/ubuntu

Changed in kdeedu:
status: Unknown → Invalid
Luka Renko (lure) wrote :

Assigned to core-dev sponsors. Hope some Kubuntu core-dev will pick it up...

Changed in kdeedu:
assignee: lure → ubuntu-main-sponsors
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kdeedu - 4:4.2.0-0ubuntu2

---------------
kdeedu (4:4.2.0-0ubuntu2) jaunty; urgency=low

  * Fix Marble packages (LP: #322278)
    - Move Marble plugins to libmarble4 package as they are required
      for proper operation of Marble Widget.
  * Build-Depend on libboost-python1.35-dev as unversioned package
    have moved to universe

 -- Luka Renko <email address hidden> Wed, 28 Jan 2009 19:19:02 +0100

Changed in kdeedu:
status: Fix Committed → Fix Released
Changed in kdeedu:
status: Invalid → Unknown
Changed in kdeedu:
importance: Unknown → High
Curtis Hovey (sinzui) on 2012-05-29
Changed in kdeedu (Ubuntu):
assignee: Registry Administrators (registry) → nobody
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.